Subject: Re: How to detect win9 vs NT?
From: [email-masked] (Mumit Khan)

16 Aug 1998 09:14:41 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

On Fri, 14 Aug 1998 [email-masked] wrote:

> Where do I look to see the approved cygwin32 method for an application to
> determine whether it's running under NT or 95?  I'd like for libf2c at least
> to be aware so that, for instance, cpu_time() may be made to work under 9x.
> There may be others. 
> 
>  Some of the functions which come with B19.1 are broken unnecessarily under
> 95, such as clock().  That would seem to be a close analogy with
> system_clock(), which works.
> -

Cygwin32 internally uses get_os_type(), but it's not exported. Can you put
together a list of routines that don't work and (hopefully) the corrected
version for W95? We have to deal with this at some point, and might as
well get started.

Whatever cygwin32 provides to check the platform, I'll provide an
equivalent one under mingw32 so that we can use the same workarounds
under both.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".